> ## Documentation Index
> Fetch the complete documentation index at: https://kaneo.app/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Import Tasks

> Import multiple tasks into a project



## OpenAPI

````yaml /openapi.json post /task/import/{projectId}
openapi: 3.0.3
info:
  title: Kaneo API
  description: Kaneo Project Management API - Manage projects, tasks, labels, and more
  version: 1.0.0
servers:
  - url: https://cloud.kaneo.app/api
    description: Kaneo API Server
security:
  - bearerAuth: []
tags:
  - name: Organization Management
paths:
  /task/import/{projectId}:
    post:
      tags:
        - Tasks
      summary: Import Tasks
      description: Import multiple tasks into a project
      operationId: importTasks
      parameters:
        - in: path
          name: projectId
          schema:
            type: string
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                tasks:
                  type: array
                  items:
                    type: object
                    properties:
                      title:
                        type: string
                      description:
                        type: string
                      status:
                        type: string
                      priority:
                        type: string
                      startDate:
                        type: string
                        nullable: true
                      dueDate:
                        type: string
                        nullable: true
                      userId:
                        type: string
                        nullable: true
                    required:
                      - title
                      - status
              required:
                - tasks
      responses:
        '200':
          description: Tasks imported successfully
          content:
            application/json:
              schema:
                type: object
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Bearer token authentication

````